# norootforbuild

%define lib       libffmpeg_oldabi
%define majoravcodec     52
%define libavcodec       libavcodec
%define libnameavcodec   %{libavcodec}%{majoravcodec}
%define majoravdevice    52
%define libavdevice      libavdevice
%define libnameavdevice  %{libavdevice}%{majoravdevice}
%define majoravformat    52
%define libavformat      libavformat
%define libnameavformat  %{libavformat}%{majoravformat}
%define majoravutil      50
%define libavutil        libavutil
%define libnameavutil    %{libavutil}%{majoravutil}
%define majoravfilter    1
%define libavfilter      libavfilter
%define libnameavfilter  %{libavfilter}%{majoravfilter}
%define majorpostproc    50
%define libpostproc      libpostproc
%define libnamepostproc  %{libpostproc}%{majorpostproc}
%define majorswscale     0
%define libswscale       libswscale
%define libnameswscale   %{libswscale}%{majorswscale}
%define lastrelease      0.7.7
#define svnsnapshot      201106212258

%bcond_without avfilter
%bcond_without libvpx
%bcond_with libfaac
%bcond_with libopenjpeg


Name:           ffmpeg_oldabi
Version:        %{lastrelease}
Release:        3.21
License:        LGPL v2 or later and some code GPL v2 or later
Group:          Productivity/Multimedia/Video/Editors and Convertors
Summary:        Hyper fast MPEG1/MPEG4/H263/RV and AC3/MPEG audio encoder
Summary(de):    Hyperschneller MPEG1/MPEG4/H263/RV Und AC3/MPEG Audio-Encoder
URL:            http://www.ffmpeg.org
Source0:        ffmpeg-%{version}.tar.bz2
Source1:        ffmpeg_oldabi.rpmlintrc
BuildRoot:      %{_tmppath}/%{name}-buildroot
BuildRequires:  yasm
BuildRequires:  libgsm
BuildRequires:  libgsm-devel
BuildRequires:  imlib2-devel
BuildRequires:  libmp3lame-devel
BuildRequires:  libogg-devel
BuildRequires:  libvorbis-devel
BuildRequires:  libtheora-devel >= 1.1
BuildRequires:  ncurses-devel
BuildRequires:  libjack-devel
BuildRequires:  alsa-devel
BuildRequires:  freetype2-devel
BuildRequires:  SDL-devel
BuildRequires:  slang-devel
BuildRequires:  xorg-x11-devel
BuildRequires:  zlib-devel
%if %{with libfaac}
BuildRequires:  libfaac-devel >= 1.28
%endif
BuildRequires:  libx264-devel
BuildRequires:  libxvidcore-devel
BuildRequires:  texinfo
BuildRequires:  libopencore-amr-devel
BuildRequires:  libdc1394
BuildRequires:  libdc1394-devel
BuildRequires:  speex-devel
BuildRequires:  schroedinger-devel
BuildRequires:  liboil-devel >= 0.3.15
BuildRequires:  dirac-devel >= 1.0.0
BuildRequires:  librtmp-devel
BuildRequires:  libva-devel
%if 0%{?suse_version} <= 1130
BuildRequires:  libdc1394_control12-devel
%endif
%if %{with libopenjpeg}
BuildRequires:  libopenjpeg-devel
%endif
BuildRequires:  libvdpau-devel
%if %{with libvpx}
%ifarch %ix86 x86_64 amd64 ia32e
BuildRequires:  libvpx-devel
%endif
%endif
Requires:       %{libnameavcodec} = %{version}-%{release}
Requires:       %{libnameavdevice} = %{version}-%{release}
Requires:       %{libnameavformat} = %{version}-%{release}
Requires:       %{libnameavutil} = %{version}-%{release}
Requires:       %{libnamepostproc} = %{version}-%{release}
Requires:       %{libnameswscale} = %{version}-%{release}

%description
ffmpeg is a hyper fast realtime audio/video encoder, a streaming  server
and a generic audio and video file converter.

It can grab from a standard Video4Linux video source and convert it into
several file formats based on DCT/motion compensation encoding. Sound is
compressed in MPEG audio layer 2 or using an AC3 compatible stream.

%description -l de
ffmpeg ist ein hyperschneller realtime Audio-/Video-Encoder, ein Streaming
Server und ein Audio und Video Dateikonverter.

Es kann von einer Standard-Video4Linux-Quelle grabben und in verschiedene
Dateiformate basierend auf einer DCT/motion compensation konvertiern.
Sound wird in einen MPEG audio layer 2 oder AC3 Stream geschrieben.


%package -n %{libnameavcodec}
Group:          System/Libraries
Summary:        FFmpeg %{libavcodec}
Provides:       %{libavcodec} = %{version}-%{release}
Requires:       %{libnameavutil} = %{version}-%{release}

%description -n %{libnameavcodec}
ffmpeg %{libavcodec} shared library

%description -n %{libnameavcodec} -l de
ffmpeg %{libavcodec} Bibliothek


%package -n %{libnameavdevice}
Group:          System/Libraries
Summary:        FFmpeg %{libavdevice}
Provides:       %{libavdevice} = %{version}-%{release}
Requires:       %{libnameavcodec} = %{version}-%{release}
Requires:       %{libnameavformat} = %{version}-%{release}
Requires:       %{libnameavutil} = %{version}-%{release}

%description -n %{libnameavdevice}
ffmpeg %{libavdevice} shared library

%description -n %{libnameavdevice} -l de
ffmpeg %{libavdevice} Bibliothek


%package -n %{libnameavformat}
Group:          System/Libraries
Summary:        FFmpeg %{libavformat}
Provides:       %{libavformat} = %{version}-%{release}
Requires:       %{libnameavcodec} = %{version}-%{release}
Requires:       %{libnameavutil} = %{version}-%{release}

%description -n %{libnameavformat}
ffmpeg %{libavformat} shared library

%description -n %{libnameavformat} -l de
ffmpeg %{libavformat} Bibliothek


%package -n %{libnameavutil}
Group:          System/Libraries
Summary:        FFmpeg %{libavutil}
Provides:       %{libavutil} = %{version}-%{release}

%description -n %{libnameavutil}
ffmpeg %{libavutil} shared library

%description -n %{libnameavutil} -l de
ffmpeg %{libavutil} Bibliothek


%if %{with avfilter}
%package -n %{libnameavfilter}
Group:          System/Libraries
Summary:        FFmpeg %{libavutil}
Provides:       %{libavfilter} = %{version}-%{release}
Requires:       %{libnameavcodec} = %{version}-%{release}
Requires:       %{libnameavutil} = %{version}-%{release}

%description -n %{libnameavfilter}
ffmpeg %{libavfilter} shared library

%description -n %{libnameavfilter} -l de
ffmpeg %{libavfilter} Bibliothek
%endif


%package -n %{libnamepostproc}
Group:          System/Libraries
Summary:        FFmpeg %{libpostproc}
Provides:       %{libpostproc} = %{version}-%{release}
Requires:       %{libnameavutil} = %{version}-%{release}

%description -n %{libnamepostproc}
ffmpeg %{libpostproc} shared library

%description -n %{libnamepostproc} -l de
ffmpeg %{libpostproc} Bibliothek


%package -n %{libnameswscale}
Group:          System/Libraries
Summary:        FFmpeg %{libswscale}
Provides:       %{libswscale}_oldabi%{majorswscale} = %{version}-%{release}
Obsoletes:      %{libswscale}_oldabi%{majorswscale} < %{version}-%{release}
Requires:       %{libnameavutil} = %{version}-%{release}

%description -n %{libnameswscale}
ffmpeg %{libswscale} shared library

%description -n %{libnameswscale} -l de
ffmpeg %{libswscale} Bibliothek


%package -n %{lib}-devel
Group:          Development/Libraries/C and C++
Summary:        Header files and static library for the ffmpeg library
Summary(de):    Header Dateien und statische Bibliotheken für die ffmpeg Bibliothek
Obsoletes:      ffmpeg_oldabi-devel < %{version}
Provides:       ffmpeg_oldabi-devel = %{version}
Requires:       %{libnameavcodec} = %{version}-%{release}
Requires:       %{libnameavdevice} = %{version}-%{release}
Requires:       %{libnameavformat} = %{version}-%{release}
Requires:       %{libnameavutil} = %{version}-%{release}
Requires:       %{libnamepostproc} = %{version}-%{release}
%if %{with avfilter}
Requires:       %{libnameavfilter} = %{version}-%{release}
%endif
Requires:       %{libnameswscale} = %{version}-%{release}
Requires:       libmp3lame-devel
Requires:       libogg-devel
Requires:       libvorbis-devel
Requires:       libtheora-devel >= 1.1
Requires:       alsa-devel
Requires:       slang-devel
Requires:       zlib-devel
Requires:       libxvidcore-devel
%if %{with libfaac}
Requires:       libfaac-devel
%endif
Requires:       libx264-devel
Requires:       libopencore-amr-devel
Requires:       libjack-devel
Requires:       speex-devel
Requires:       libgsm-devel
Requires:       libdc1394
Requires:       libdc1394-devel
Requires:       schroedinger-devel
Requires:       liboil-devel >= 0.3.15
Requires:       dirac-devel >= 1.0.0
Requires:       librtmp-devel
Requires:       libva-devel
%if 0%{?suse_version} <= 1130
Requires:       libdc1394_control12-devel
%endif
%if %{with libopenjpeg}
Requires:       libopenjpeg-devel
%endif
Requires:       libvdpau-devel
Provides:       libffmpeg0-devel = %{version}-%{release}
%ifarch x86_64 amd64 ia32e
Provides:       libavcodec.so()(64bit)
Provides:       libavformat.so()(64bit)
Provides:       libavutil.so()(64bit)
%if %{with avfilter}
Provides:       libavfilter.so()(64bit)
%endif
Provides:       libpostproc.so()(64bit)
%else
Provides:       libavcodec.so
Provides:       libavformat.so
Provides:       libavutil.so
%if %{with avfilter}
Provides:       libavfilter.so
%endif
Provides:       libpostproc.so
%endif

%description -n %{lib}-devel
ffmpeg is a hyper fast realtime audio/video encoder, a streaming  server
and a generic audio and video file converter.

It can grab from a standard Video4Linux video source and convert it into
several file formats based on DCT/motion compensation encoding. Sound is
compressed in MPEG audio layer 2 or using an AC3 compatible stream.

Install libffmpeg-devel if you want to compile apps with ffmpeg support.

%description -n %{lib}-devel -l de
ffmpeg ist ein hyperschneller realtime Audio-/Video-Encoder, ein Streaming
Server und ein Audio und Video Dateikonverter.

Es kann von einer Standard-Video4Linux-Quelle grabben und in verschiedene
Dateiformate basierend auf einer DCT/motion compensation konvertiern.
Sound wird in einen MPEG audio layer 2 oder AC3 Stream geschrieben.

Installieren Sie libffmpeg-devel wenn Sie Anwendungen mit ffmpeg Support
compilieren wollen.


%prep
%setup -q -n ffmpeg-%{version}
#sed -i -e "s/UNKNOWN/GIT-r%{svnsnapshot}/g" version.sh
%suse_update_libdir configure
#don't call ldconfig on install
#perl -pi -e 's/ldconfig \|\| true//' libavcodec/Makefile
#remove date references so builds are reproducible (build-compare)
FAKE_BUILDDATE=$(LC_ALL=C date -u -r %{_sourcedir}/%{name}.changes '+%%b %%e %%Y')
sed -i "s/__DATE__/\"$FAKE_BUILDDATE\"/" cmdutils.c
FAKE_BUILDTIME=$(LC_ALL=C date -u -r %{_sourcedir}/%{name}.changes '+%%H:%%M:%%S')
sed -i "s/__TIME__/\"$FAKE_BUILDTIME\"/" cmdutils.c
#fake libpostproc version
sed -i "s/LIBPOSTPROC_VERSION_MAJOR 51/LIBPOSTPROC_VERSION_MAJOR 50/" libpostproc/postprocess.h

%build
export SUSE_ASNEEDED=0
archflags=""
%ifarch x86_64 amd64 ia32e
  archflags=" -fPIC"
%endif
%ifarch %ix86
  archflags=" -D_LARGEFILE_SOURCE -D_FILE_OFFSET_BITS=64"
  sed -i -e "s/-fPIC -DPIC//g" libpostproc/Makefile
%endif

CFLAGS="${RPM_OPT_FLAGS} ${archflags} -I%{_includedir}/gsm"
%if %{with libopenjpeg}
CFLAGS="${CFLAGS}  -I%{_includedir}/openjpeg"
%endif
export archflags
export CFLAGS
CPPFLAGS="${CFLAGS}"
export CPPFLAGS

./configure --shlibdir=%{_libdir} --prefix=%{_prefix} --mandir=%{_mandir} \
            --libdir=%{_libdir} --enable-shared --disable-static --enable-libmp3lame \
            --enable-libvorbis --enable-libtheora --enable-libspeex \
%if %{with libfaac}
            --enable-libfaac --enable-nonfree \
%endif
%if %{with libopenjpeg}
            --enable-libopenjpeg \
%endif
            --enable-libxvid --enable-postproc --enable-gpl \
            --enable-x11grab --extra-cflags="${CFLAGS}" \
            --enable-debug --disable-stripping --enable-libgsm \
            --enable-libschroedinger --enable-libdirac \
%ifarch ppc
            --disable-altivec \
%endif
%if %{with avfilter}
            --enable-avfilter \
%else
            --disable-avfilter \
%endif
%if %{with libvpx}
%ifarch %ix86 x86_64 amd64 ia32e
            --enable-libvpx \
%endif
%endif
            --enable-version3 --enable-libopencore-amrnb --enable-libopencore-amrwb \
            --enable-libx264 --enable-libdc1394 --enable-pthreads --enable-librtmp
%{__make} %{?jobs:-j%{jobs}} V=1

%install
%{__ln_s} libavformat libav
%{makeinstall} V=1

%{__install} -d %{buildroot}%{_libdir}/libavcodec
%{__rm} -rf doc/.git
%{__rm} -f doc/Makefile
%{__rm} -f doc/texi2pod.pl
%{__rm} -f doc/*.html.d
%{__rm} -f doc/ffmpeg.1 doc/ffplay.1 doc/ffprobe.1 doc/ffserver.1
%{__rm} -rf %{buildroot}%{_bindir}
%{__rm} -rf %{buildroot}%{_mandir}/man1
%{__rm} -rf %{buildroot}%{_datadir}/ffmpeg
%{__install} -m 644 libavcodec/dvdata.h %{buildroot}%{_includedir}/libavcodec/
%{__rm} -f %{buildroot}%{_libdir}/*.{la,a}

%clean
[ "%{buildroot}" != "/" ] && %{__rm} -rf %{buildroot}

%post -n %{libnameavcodec} -p /sbin/ldconfig
%postun -n %{libnameavcodec} -p /sbin/ldconfig

%post -n %{libnameavdevice} -p /sbin/ldconfig
%postun -n %{libnameavdevice} -p /sbin/ldconfig

%post -n %{libnameavformat} -p /sbin/ldconfig
%postun -n %{libnameavformat} -p /sbin/ldconfig

%post -n %{libnameavutil} -p /sbin/ldconfig
%postun -n %{libnameavutil} -p /sbin/ldconfig

%post -n %{libnamepostproc} -p /sbin/ldconfig
%postun -n %{libnamepostproc} -p /sbin/ldconfig

%if %{with avfilter}
%post -n %{libnameavfilter} -p /sbin/ldconfig
%postun -n %{libnameavfilter} -p /sbin/ldconfig
%endif

%post -n %{libnameswscale} -p /sbin/ldconfig
%postun -n %{libnameswscale} -p /sbin/ldconfig


%files -n %{libnameavcodec}
%defattr(-,root,root)
%{_libdir}/%{libavcodec}.so.%{majoravcodec}*

%files -n %{libnameavdevice}
%defattr(-,root,root)
%{_libdir}/%{libavdevice}.so.%{majoravdevice}*

%files -n %{libnameavformat}
%defattr(-,root,root)
%{_libdir}/%{libavformat}.so.%{majoravformat}*

%files -n %{libnameavutil}
%defattr(-,root,root)
%{_libdir}/%{libavutil}.so.%{majoravutil}*

%if %{with avfilter}
%files -n %{libnameavfilter}
%defattr(-,root,root)
%{_libdir}/%{libavfilter}.so.%{majoravfilter}*
%endif

%files -n %{libnamepostproc}
%defattr(-,root,root)
%{_libdir}/%{libpostproc}.so.%{majorpostproc}*

%files -n %{libnameswscale}
%defattr(-,root,root)
%{_libdir}/%{libswscale}.so.%{majorswscale}*


%files -n %{lib}-devel
%defattr(-,root,root)
%{_includedir}/*
%{_libdir}/*.so
%{_libdir}/libavcodec
%{_libdir}/pkgconfig/*.pc

%changelog
* Wed Sep 28 2011 cs@linux-administrator.com
- re-import
